/*
 * Secure X Message Passing Library v2 implementation.
 * (sxmplv2) it superseed all versions before due to the:
 * - memory consumption
 * - new features such as pulse emitting
 * - performance optimization
 *
 * (c) Askele Group 2013-2015 <http://askele.com>
 * (c) Alexander Vdolainen 2013-2015 <avdolainen@gmail.com>
 *
 * libsxmp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libsxmp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 *
 */

#ifndef __SXMP_ERRNO_H__
#define	__SXMP_ERRNO_H__

#define __SXMP_EPREFIX  200

#define SXE_SUCCESS              200
#define SXE_FAILED               201
#define SXE_ENOMEM               202
#define SXE_BADPROTO             203
#define SXE_ENORPC               204
#define SXE_EPERM                205
#define SXE_TOOLONG              206
#define SXE_EBUSY                207
#define SXE_WOULDBLOCK           208
#define SXE_LINKERROR            209
#define SXE_NOSUCHMSG            210
#define SXE_NOSUCHCHAN           211
#define SXE_ETIMEDOUT            212
#define SXE_IGNORED              213
#define SXE_REPLYREQ             214
#define SXE_RAPIDMSG             215
#define SXE_ESSL                 216
#define SXE_NOCHANNELS           217
#define SXE_MCHANNELS            218
#define SXE_MMESSAGES            219
#define SXE_LINKBROKEN           220
#define SXE_INVALINDEX           221
#define SXE_NOSUCHSTREAMTYPE     222
#define SXE_EOS                  223
#define SXE_NILREPLY             224

const char *sxmpl_errno2cstr(int);

#endif /* __SXMP_ERRNO_H__ */

